Package org.apache.sling.auth.saml2.sp

## Enum SamlReason

- java.lang.Object
- - java.lang.Enum<SamlReason>
  - - org.apache.sling.auth.saml2.sp.SamlReason

All Implemented Interfaces:
  `Serializable`, `Comparable<SamlReason>`

    public enum SamlReason
    extends Enum<SamlReason>

### Enum Constant Summary

Enum Constants
`INVALID_CREDENTIALS` Derivative work of https://github.com/apache/sling-org-apache-sling-auth-form/blob/master/src/main/java/org/apache/sling/auth/form/FormReason.java The login form is request because the credentials previously entered very not valid to login to the repository.
`TIMEOUT` The login form is requested because an existing session has timed out and the credentials have to be entered again.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()` Returns the message set when constructing this instance.
`static SamlReason` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SamlReason[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INVALID_CREDENTIALS

    public static final SamlReason INVALID_CREDENTIALS

Derivative work of https://github.com/apache/sling-org-apache-sling-auth-form/blob/master/src/main/java/org/apache/sling/auth/form/FormReason.java The login form is request because the credentials previously entered very not valid to login to the repository.

#### TIMEOUT

    public static final SamlReason TIMEOUT

The login form is requested because an existing session has timed out and the credentials have to be entered again.

### Method Detail

#### values

    public static SamlReason[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SamlReason c : SamlReason.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SamlReason valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Returns the message set when constructing this instance. To get the official name call the `name()` method.

Overrides:
  `toString` in class `Enum<SamlReason>`